import { Injectable } from '@nestjs/common';
import { DataSchedulingEntity } from '../../domain/entities/data-scheduling.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { DataSchedulingModel } from '../models/data-scheduling.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class DataSchedulingReadService extends BaseReadService<DataSchedulingEntity> {
  constructor(
    @InjectRepository(DataSchedulingModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<DataSchedulingModel>,
  ) {
    super(repo);
  }
}
