import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { DataSchedulingDefaultEntity } from '../../domain/entities/data-scheduling.entity';
import { Column, Entity } from 'typeorm';
import { BaseModel } from 'src/core/modules/data/model/base.model';

@Entity(TABLE_NAME.DATA_SCHEDULING_DEFAULT)
export class DataSchedulingDefaultModel
  extends BaseModel<DataSchedulingDefaultEntity>
  implements DataSchedulingDefaultEntity
{
  @Column('int', { nullable: false })
  default_value: number;
}
