import { BaseStatusEntity } from 'src/core/modules/domain/entities/base-status.entity';
import { BaseEntity } from 'src/core/modules/domain/entities/base.entity';

export interface DataSchedulingEntity extends BaseStatusEntity {
  name: string;
  indexing_key: number | string;
  schedule_date_from: Date;
  schedule_date_to: Date;
}

export interface DataSchedulingDefaultEntity extends BaseEntity {
  default_value: number;
}
